#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);

    int m, n;
    cin >> n >> m;
    if(n<3||m<3)
        cout << m*n;
    else
        cout << (n-2)*(m-2)/2+n*2+m*2-4;


    return 0;
}